# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "kernaux-sys"
version = "0.6.0"
authors = ["Alex Kotov <kotovalexarian@gmail.com>"]
publish = true
description = "Unsafe no-std binding to libkernaux - auxiliary library for kernel development"
homepage = "https://github.com/tailix/libkernaux/tree/master/bindings/rust"
readme = "README.md"
keywords = [
    "ffi",
    "no_std",
    "no-std",
    "embedded",
    "bindings",
]
categories = [
    "embedded",
    "external-ffi-bindings",
    "no-std",
    "parsing",
]
license = "MIT"
repository = "https://github.com/tailix/libkernaux/tree/master/bindings/rust"

[dependencies.libc]
version = "0.2.113"
features = ["extra_traits"]
default-features = false

[features]
cmdline = []
default = [
    "cmdline",
    "ntoa",
]
ntoa = []
